Index: src/northbridge/amd/amdmct/mct_ddr3/mctsrc.c
===================================================================
--- src/northbridge/amd/amdmct/mct_ddr3/mctsrc.c	(revision 5746)
+++ src/northbridge/amd/amdmct/mct_ddr3/mctsrc.c	(working copy)
@@ -446,9 +446,9 @@
 
 		printk(BIOS_DEBUG, "TrainRcvrEn: CH_D_B_RCVRDLY:\n");
 		for(Channel = 0; Channel < 2; Channel++) {
-			printk(BIOS_DEBUG, "Channel:%x\n");
+			printk(BIOS_DEBUG, "Channel:%x\n", Channel);
 			for(Receiver = 0; Receiver<8; Receiver+=2) {
-				printk(BIOS_DEBUG, "\t\tReceiver:%x:");
+				printk(BIOS_DEBUG, "\t\tReceiver:%x:", Receiver);
 				p = pDCTstat->CH_D_B_RCVRDLY[Channel][Receiver>>1];
 				for (i=0;i<8; i++) {
 					val  = p[i];
Index: src/northbridge/amd/amdmct/mct_ddr3/mct_d.c
===================================================================
--- src/northbridge/amd/amdmct/mct_ddr3/mct_d.c	(revision 5746)
+++ src/northbridge/amd/amdmct/mct_ddr3/mct_d.c	(working copy)
@@ -2030,7 +2030,7 @@
 	RegDIMMPresent = 0;
 	pDCTstat->DimmQRPresent = 0;
 
-	for (i = 0;  i< MAX_DIMMS_SUPPORTED; i++) {
+	for (i = 0; i < MAX_DIMMS_SUPPORTED; i++) {
 		if (i >= MaxDimms)
 			break;
 
@@ -2214,7 +2214,7 @@
 	} else {
 		/* Configure DCT1 if unganged and enabled*/
 		if (!pDCTstat->GangedMode) {
-			if ( pDCTstat->DIMMValidDCT[1] > 0) {
+			if (pDCTstat->DIMMValidDCT[1] > 0) {
 				err_code = pDCTstat->ErrCode;		/* save DCT0 errors */
 				pDCTstat->ErrCode = 0;
 				DCTInit_D(pMCTstat, pDCTstat, 1);
@@ -2512,7 +2512,7 @@
 {
 	u8 ret;
 
-	if ( dct == 0)
+	if (dct == 0)
 		ret = DIMMPresence_D(pMCTstat, pDCTstat);
 	else
 		ret = pDCTstat->ErrCode;
